<?php

namespace App\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Illuminate\Support\Facades\Event;
use App\Events\TaskEvent; // importamos nuestro evento
use App\Listeners\TaskListener; // importamos nuestro listener


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
        TaskEvent::class => [
            TaskListener::class,
        ],
    ];
    /**
     * Register any events for your application.
     *
     * @return void
     */


    public function boot()
    {
        parent::boot();
        Event::listen(
            TaskEvent::class,
            [TaskListener::class, 'handle']
        );
    }
}
