document.addEventListener('DOMContentLoaded', function () {
    const form = document.getElementById('ratingForm');
    const ratingInput = document.getElementById('rating');
    const nameInput = document.getElementById('name');
    const emailInput = document.getElementById('email');
    const companyInput = document.getElementById('company');
    const commentsInput = document.getElementById('comments');
    const ratingError = document.getElementById('rating-error');
    const nameError = document.getElementById('name-error');
    const emailError = document.getElementById('email-error');
    const companyError = document.getElementById('company-error');
    
    ratingInput.addEventListener('change', validateRating);
    function validateRating() {
        if (ratingInput.value === '') {
            ratingError.textContent = 'Seleccione una calificación.';
            ratingError.style.display = 'block';
        } else {
            ratingError.style.display = 'none';
        }
    }

    nameInput.addEventListener('input', validateName);
    function validateName() {
        if (nameInput.value.trim() === '') {
            nameError.textContent = 'El nombre es obligatorio.';
            nameError.style.display = 'block';
        } else {
            nameError.style.display = 'none';
        }
    }

    emailInput.addEventListener('input', validateEmail);
    function validateEmail() {
        const regex = /^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$/;
        if (!regex.test(emailInput.value)) {
            emailError.textContent = 'Ingrese un correo electrónico válido.';
            emailError.style.display = 'block';
        } else {
            emailError.style.display = 'none';
        }
    }

    companyInput.addEventListener('input', validateCompany);
    function validateCompany() {
        if (companyInput.value.trim() === '') {
            companyError.textContent = 'La empresa es obligatoria.';
            companyError.style.display = 'block';
        } else {
            companyError.style.display = 'none';
        }
    }

    form.addEventListener('submit', function (event) {
        let valid = true;
        validateRating();
        validateName();
        validateEmail();
        validateCompany();

        if (ratingError.style.display === 'block' || nameError.style.display === 'block' || emailError.style.display === 'block' || companyError.style.display === 'block') {
            valid = false;
        }
        if (!valid) {
            event.preventDefault();
        }
    });
});
