document.addEventListener('DOMContentLoaded', function () {
    const form = document.getElementById('rolesForm');
    const nameInput = document.getElementById('name');
    const permissionInputs = document.querySelectorAll('input[name="permission[]"]');
    const nameError = document.getElementById('name-error');
    const permissionError = document.getElementById('permission-error');

    nameInput.addEventListener('input', validateName);
    function validateName() {
        const regex = /^[a-zA-ZáéíóúÁÉÍÓÚüÜñÑ\s]+$/;
        if (!regex.test(nameInput.value) || nameInput.value.trim() === '') {
            nameError.textContent = 'El nombre del rol solo puede contener letras y espacios.';
            nameError.style.display = 'block';
        } else {
            nameError.style.display = 'none';
        }
    }

    form.addEventListener('submit', function (event) {
        let permissionsSelected = false;

        permissionInputs.forEach(input => {
            if (input.checked) {
                permissionsSelected = true;
            }
        });

        if (!permissionsSelected) {
            permissionError.textContent = 'Debe seleccionar al menos un permiso.';
            permissionError.style.display = 'block';
            event.preventDefault();
        } else {
            permissionError.style.display = 'none';
        }
    });
});
