<aside :class="expanded ? 'w-40' : 'w-16'"
    class="h-screen fixed bg-naranja border-r border-gray-200 dark:bg-gray-800 dark:border-gray-700 transition-all duration-300 flex flex-col items-center">

    <div class="p-4 flex flex-col h-full">

        <div class="pb-6 flex flex-col items-center">
            <a href="{{ route('dashboard') }}" x-show="!expanded" x-transition.opacity>
                <x-application-logo class="h-9 w-auto text-gray-800 fill-current dark:text-gray-200" />
            </a>
            <span x-show="expanded" x-transition.opacity class="text-white font-bold text-lg mt-2">
                TEKNOLOGIX
            </span>
        </div>

        <button @click="expanded = !expanded" class="mb-4 p-2 text-white focus:outline-none">
            <i :class="expanded ? 'fa-solid fa-arrow-left' : 'fa-solid fa-arrow-right'"></i>
        </button>

        <nav class="space-y-4 flex-1">
            <x-nav-link class="text-white flex items-center gap-3" :href="route('dashboard')" :active="request()->routeIs('dashboard')">
                <i class="fas fa-home"></i>
                <span x-show="expanded" class="transition-opacity duration-300">Inicio</span>
            </x-nav-link>

            @can('ver-usuario')
                <x-nav-link class="text-white flex items-center gap-3" :href="route('users.index')" :active="request()->routeIs('users.index')">
                    <i class="fas fa-users"></i>
                    <span x-show="expanded" class="transition-opacity duration-300">Usuarios</span>
                </x-nav-link>
            @endcan

            @can('ver-rol')
                <x-nav-link class="text-white flex items-center gap-3" :href="route('roles.index')" :active="request()->routeIs('roles.index')">
                    <i class="fas fa-user-lock"></i>
                    <span x-show="expanded" class="transition-opacity duration-300">Roles</span>
                </x-nav-link>
            @endcan

            @can('ver-meta')
                <x-nav-link class="text-white flex items-center gap-3 flex-1" :href="route('goals.index')" :active="request()->routeIs('goals.index')">
                    <i class="fas fa-bullseye"></i>
                    <span x-show="expanded" class="transition-opacity duration-300">Metas</span>
                </x-nav-link>
            @endcan

            @can('ver-tarea')
                <x-nav-link class="text-white flex items-center gap-3 flex-1" :href="route('tasks.index')" :active="request()->routeIs('tasks.index')">
                    <i class="fas fa-tasks"></i>
                    <span x-show="expanded" class="transition-opacity duration-300">Tareas</span>
                </x-nav-link>
            @endcan

            @can('ver-soporte')
                <x-nav-link class="text-white flex items-center gap-3" :href="route('supports.index')" :active="request()->routeIs('supports.index')">
                    <i class="fas fa-headset"></i>
                    <span x-show="expanded" class="transition-opacity duration-300">Soporte</span>
                </x-nav-link>
            @endcan

            @can('ver-grafica')
                <x-nav-link class="text-white flex items-center gap-3" :href="route('graphs')" :active="false">
                    <i class="fas fa-chart-bar"></i>
                    <span x-show="expanded" class="transition-opacity duration-300">Gráficas</span>
                </x-nav-link>
            @endcan

            @can('ver-reportes')
                <x-nav-link class="text-white flex items-center gap-3" :href="route('reports.index')" :active="false">
                    <i class="fas fa-file-alt"></i>
                    <span x-show="expanded" class="transition-opacity duration-300">Reportes</span>
                </x-nav-link>
            @endcan

            @can('ver-calificaciones')
                <x-nav-link class="text-white flex items-center gap-3" href="{{ route('ratings.show') }}" :active="false">
                    <i class="fas fa-star"></i>
                    <span x-show="expanded" class="transition-opacity duration-300">Calificación</span>
                </x-nav-link>
            @endcan

            @can('ver-notificaciones')
                <x-nav-link class="text-white flex items-center gap-3" href="{{ route('tasks.mostrarNotificaciones') }}" :active="false">
                    <i class="fa-solid fa-bell"></i>
                    <span x-show="expanded" class="transition-opacity duration-300">Notificaciones</span>
                </x-nav-link>
            @endcan

            @can('ver-respaldo')
                <x-nav-link class="text-white flex items-center gap-3" :href="route('backup')" :active="false">
                    <i class="fas fa-database"></i>
                    <span x-show="expanded" class="transition-opacity duration-300">Respado</span>
                </x-nav-link>
            @endcan
        </nav>

        <form method="POST" action="{{ route('logout') }}">
            @csrf
            <x-nav-link class="text-white flex items-center gap-3" :href="route('logout')"
                onclick="event.preventDefault(); this.closest('form').submit();">
                <i class="fas fa-sign-out-alt"></i>
                <span x-show="expanded" class="transition-opacity duration-300">Cerrar sesión</span>
            </x-nav-link>
        </form>
    </div>
</aside>
