<x-app-layout>

    <h2 class="font-bold text-xl text-gray-800 leading-tight lg:px-8 py-2 dark:text-white">
        {{ __('CALIFICACIONES DE CLIENTES') }}
    </h2>

    <div class="py-2">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg dark:bg-gray-800">
                <div class="p-6 text-gray-900 dark:text-gray-100">
                <div class="flex justify-end mb-4">
                        <a href="{{ route('ratings.index') }}" class="px-4 py-2 bg-naranja text-white font-bold rounded-md hover:bg-orange-700 focus:outline-none">
                            Enviar formulario
                        </a>
                    </div>
                    <div class="relative overflow-x-auto shadow-md rounded-lg mt-4">
                        <table class="min-w-full text-left border-collapse">
                            <thead class="bg-gray-200">
                                <tr class="text-gray-700 dark:bg-slate-600 dark:text-gray-300">
                                    <th class="py-1 border border-gray-200 dark:border-slate-600 text-center">Nombre del cliente</th>
                                    <th class="py-1 border border-gray-200 dark:border-slate-600 text-center">Empresa</th>
                                    <th class="py-1 border border-gray-200 dark:border-slate-600 text-center">Calificación</th>
                                    <th class="py-1 border border-gray-200 dark:border-slate-600 text-center">Comentarios</th>
                                </tr>
                            </thead>
                            <tbody class="bg-white text-gray-500 dark:bg-gray-900 text-gray-500 dark:text-gray-400"">
                                @foreach($clients as $client)
                                    @foreach($client->ratings as $rating)
                                        <tr class="hover:bg-gray-100 dark:hover:bg-gray-700">
                                            <td class="py-2 border border-gray-200 dark:border-slate-600 text-center">{{ $client->name }}</td>
                                            <td class="py-2 border border-gray-200 dark:border-slate-600 text-center">{{ $client->company->name ?? 'N/A' }}</td>
                                            <td class="py-2 border border-gray-200 dark:border-slate-600 text-center">{{ $rating->rating }}</td>
                                            <td class="py-2 border border-gray-200 dark:border-slate-600 text-center">{{ $rating->comments }}</td>
                                        </tr>
                                    @endforeach
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-app-layout>
