<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Reporte de soportes</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color:rgb(255, 255, 255);
            margin: 0;
            padding: 20px;
        }

        .header {
            display: flex;
            align-items: center;
            justify-content: space-between;
            margin-bottom: 20px;
        }

        .header img {
            height: 30px;
        }

        #img1 {
            float: left;
        }

        #img2 {
            float: right;
        }

        .header h2 {
            font-size: 22px;
            font-weight: bold;
            text-align: center;
            flex-grow: 1;
            margin-right: 50px;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }

        th, td {
            padding: 5px;
            text-align: center;
            font-size: 12px;
        }

        th {
            background-color:rgb(243, 144, 79);
        }

        tbody tr:nth-child(odd) {
            background-color: #f9f9f9;
        }

        tbody tr:nth-child(even) {
            background-color: #ffffff;
        }

        tr:nth-child(even) {
            background-color: #f9f9f9;
        }

        tr:hover {
            background-color: #f1f1f1;
        }
    </style>
</head>
<body>
    <div class="header">
        <img src="{{ public_path('img/lr.png') }}" alt="Logo teknoLogix izquierda" id="img1">
        <img src="{{ public_path('img/lr.png') }}" alt="Logo teknoLogix derecha" id="img2">
        <h2>Soportes {{ auth()->user()->name }}</h2>
    </div>

    @if(isset($mes))
        <p><strong>Mes:</strong> {{ $mes }}</p>
    @endif

    <table>
        <thead>
            <tr>
                <th>#</th>
                <th>Fecha de solicitud</th>
                <th>Tipo</th>
                <th>Empresa</th>
                <th>Cliente</th>
                <th>Caso</th>
                <th>Solución</th>
                <th>Fch. de resolución</th>
                <th>Hora inicio</th>
                <th>Hora fin</th>
                <th>Oportunidad</th>
            </tr>
        </thead>

        <tbody>
            @foreach ($supports as $support)
                <tr>
                    <td>{{ $support -> id }}</td>
                    <td>{{ $support->request_date }}</td>
                    <td>{{ $support->type }}</td>
                    <td>{{ $support->company->name ?? 'N/A' }}</td>
                    <td>{{ $support->client->name ?? 'N/A' }}</td>
                    <td>{{ $support->issue_description }}</td>
                    <td>{{ $support->solution }}</td>
                    <td>{{ $support->resolution_date }}</td>
                    <td>{{ $support->start_time }}</td>
                    <td>{{ $support->end_time }}</td>
                    <td>{{ $support->opportunity }}</td>
                </tr>
            @endforeach
        </tbody>
    </table>
</body>
</html>