<x-app-layout>

    @if (session()->has('success') || session()->has('error') || session()->has('deleted'))
        <div id="messageModal" class="fixed inset-0 flex items-center justify-center z-50">
            <div class="bg-white border border-gray-300 rounded-lg shadow-lg p-6 text-center max-w-sm w-full">
                @if (session()->has('success'))
                    <div class="text-green-700 bg-white border-l-4 border-green-500 p-3 rounded-lg">
                        <strong>Éxito:</strong> {{ session()->get('success') }}
                    </div>
                @endif
                @if (session()->has('error'))
                    <div class="text-red-700 bg-white border-l-4 border-red-500 p-3 rounded-lg">
                        <strong>Error:</strong> {{ session()->get('error') }}
                    </div>
                @endif
                @if (session()->has('deleted'))
                    <div class="text-red-700 bg-white border-l-4 border-red-500 p-3 rounded-lg">
                        <strong>Éxito:</strong> {{ session()->get('deleted') }}
                    </div>
                @endif
            </div>
        </div>
    @endif

    <!-- Modal de confirmación -->
    <div id="deleteTaskModal" class="fixed inset-0 flex items-center justify-center z-50 hidden">
        <div
            class="bg-white border border-gray-300 rounded-lg shadow-lg p-6 text-center max-w-sm w-full dark:text-gray-300 dark:bg-slate-800 dark:border-slate-600">
            <p class="text-lg mb-4">¿Estás seguro de eliminar la tarea? <br>
                <span class="text-sm" id="taskName"> </span>
            </p>
            <div class="flex justify-around">
                <button id="cancelDeleteTask"
                    class="bg-gray-300 text-gray-700 px-4 py-2 rounded dark:bg-slate-500 dark:text-gray-50 dark:hover:bg-slate-400">Cancelar</button>
                <button id="confirmDeleteTask"
                    class="bg-red-500 text-white px-4 py-2 rounded dark:bg-red-600 dark:text-gray-100 dark:hover:bg-red-500">Eliminar</button>
            </div>
        </div>
    </div>

    <div class="p-4 bg-white dark:bg-slate-800 rounded-lg shadow-md">

        <!-- Menú de categorías -->
        <div class="block md:flex items-center justify-between p-2">
            <!-- Menú hamburguesa en móviles -->
            <div class="md:hidden">
                <button id="menu-toggle" class="bg-naranja text-white px-3 py-2 rounded-lg">
                    <i class="fas fa-bars"></i>
                </button>
                <div id="menu" class="hidden flex flex-col mt-2 space-y-2">
                    <p class="text-xl px-2 text-gray-700 dark:text-gray-300 flex items-center">Tareas de la semana
                        <strong class="px-1">{{ $currentWeekNumber }} </strong>
                    </p>
                    @can('crear-tarea')
                    <a href="{{ route('tasks.create') }}"
                        class="bg-naranja w-full py-2 rounded-lg text-white text-center">Nueva</a>
                    @endcan
                </div>
            </div>

            <!-- Categorías visibles en pantallas grandes -->
            <div class="hidden md:flex space-x-4">
                <p class="text-xl px-2 text-gray-700 dark:text-gray-300 flex items-center">Tareas de la semana
                    <strong class="px-1">{{ $currentWeekNumber }} </strong>
                </p>
            </div>
            @can('crear-tarea')
            <a href="{{ route('tasks.create') }}"
                class="hidden md:block h-6 bg-naranja hover:bg-orange-400 w-20 rounded-xl text-center text-white ml-auto">
                Nueva
            </a>
            @endcan
        </div>

        <div class="relative overflow-x-auto shadow-md rounded-lg mt-4">
            <table class="min-w-full text-left border-collapse">
                <thead class="bg-gray-200">

                    <tr class="text-gray-700 dark:bg-slate-600 dark:text-gray-300">
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">#</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Tarea</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Responsable</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Fecha de la tarea
                        </th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Creado</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Actualizado</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Acción</th>
                    </tr>
                </thead>
                <tbody class="bg-white text-gray-500 dark:bg-slate-400">
                    @foreach ($tasks as $task)
                        <tr class="dark:text-gray-100">
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $task->id }}</td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $task->activity }}</td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $task->assignedUser->name }}</td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $task->activity_date }}
                            </td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $task->created_at->format('d/m/Y H:i') }}</td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $task->updated_at->format('d/m/Y H:i') }}</td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                @can('editar-tarea')
                                <a href="{{ route('tasks.edit', $task->id) }}"
                                    class="text-green-500 hover:text-green-700 dark:text-green-700 dark:hover:text-green-500">
                                    <i class="fas fa-edit"></i>
                                </a>
                                @endcan

                                @can('borrar-tarea')
                                <form action="{{ route('tasks.destroy', $task->id) }}" method="POST"
                                    class="inline-block" id="deleteForm-{{ $task->id }}">
                                    @csrf
                                    @method('DELETE')
                                    <button type="button"
                                        class="text-red-500 hover:text-red-700 dark:text-red-700 dark:hover:text-red-500"
                                        onclick="showDeleteModalTask({{ $task->id }}, '{{ $task->activity }}')">
                                        <i class="fas fa-trash-alt"></i>
                                    </button>
                                </form>
                                @endcan

                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
        <div class="mt-4">
            {{ $tasks->links() }}
        </div>
    </div>
</x-app-layout>
