<x-app-layout>
        <h2 class="font-bold text-xl text-gray-800 leading-tight lg:px-8 py-2 dark:text-white">
            {{ __('TUS NOTIFICACIONES') }}
        </h2>

    <div class="py-2">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg dark:bg-gray-800">
                <div class="p-6 text-gray-900 dark:text-gray-100">
                    @if (auth()->user())
                    @forelse ($taskNotifications as $notification)
                    <div class="bg-yellow-100 border-l-4 border-yellow-500 text-yellow-700 p-4">
                        Notificación: {{ $notification->data['activity'] }}
                        <p>{{ $notification->created_at->diffForHumans() }}</p>
                        @if (!$notification->read())
                        <button type="submit" class="marcar-leida px-3 py-1 text-sm font-semibold text-white bg-gray-800 rounded-md hover:bg-gray-900" data-id="{{ $notification->id }}">Marcar leída</button>
                        @else
                        <p class="text-sm text-gray-500">Notificación marcada como leída</p>
                        @endif
                    </div>
                    @empty
                    <p class="px-4 py-2 text-sm text-gray-500 text-xs dark:text-gray-100">No tienes notificaciones</p>
                    @endforelse

                    @endif
                </div>
            </div>
        </div>
    </div>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        function sendMarkRequest(id = null) {
            return $.ajax("{{ route('marcarNotificaciones') }}", {
                method: 'POST',
                data: {
                    _token: "{{ csrf_token() }}",
                    id
                }
            });
        }
        $(function() {
            $('.marcar-leida').click(function() {
                let request = sendMarkRequest($(this).data('id'));

                request.done(() => {
                    $(this).hide();
                    $(this).parents('div.alert').remove();
                    location.reload();
                })
            });
        });
    </script>
</x-app-layout>