<?php

namespace App\Http\Controllers;

use Barryvdh\DomPDF\Facade\Pdf;
use Illuminate\Http\Request;
use App\Models\Goal;
use App\Models\SupportCase;

class ReportController extends Controller
{
    public function index()
    {
        return view('reports.index');
    }

    public function goalsReport(Request $request)
    {
        if (!$request->filled('semana')) {
            return back()->with('error', 'Debe seleccionar una semana.');
        }
        $semana = $request->semana;
    
        $metas = Goal::where('user_id', auth()->id())
                    ->where('week_number', $semana)
                    ->get();
        $pdf = Pdf::loadView('reports.report_goals', compact('metas'));
        return $pdf->stream("reporte_metas_semana_{$semana}.pdf");
    }    

    public function supportsReport(Request $request)
    {
        if (!$request->filled('mes')) {
            return back()->with('error', 'Debe seleccionar un mes.');
        }

        $mes = $request->mes;
        
        $supports = SupportCase::whereRaw('MONTH(request_date) = ?', [$mes])->get();
        $pdf = Pdf::loadView('reports.report_supports', compact('supports', 'mes'));
        return $pdf->stream("reporte_soportes_mes_{$mes}.pdf");
    }
}
