document.addEventListener('DOMContentLoaded', function () {
    const form = document.getElementById('clientForm');
    const nameInput = document.getElementById('name');

    const nameError = document.getElementById('nameError');

    nameInput.addEventListener('input', validateName);

    function validateName() {
        const regex = /^[a-zA-Z0-9áéíóúÁÉÍÓÚüÜñÑ\s\.\-\"\'\,]+$/;
        const maxLength = 50;
        const nameValue = nameInput.value;

        if (nameValue && !regex.test(nameValue)) {
            nameError.textContent =
                'El nombre del cliente solo puede contener letras, números, espacios, puntos, guiones, acentos, comillas y comas.';
            nameError.style.display = 'block';
        }

        else if (nameValue.length > maxLength) {
            nameError.textContent = `El nombre del cliente no puede exceder los ${maxLength} caracteres.`;
            nameError.style.display = 'block';
        } else {
            nameError.style.display = 'none';
        }
    }

    form.addEventListener('submit', function (event) {
        validateName();

        if (nameError.style.display === 'block') {
            event.preventDefault();
        }
    });
});
