<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('Reportes') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg p-6">
                <h2 class="text-lg font-bold mb-4">Generar reportes</h2>
                <div class="grid grid-cols-1 xl:grid-cols-2 gap-6">
                    <div class="bg-gray-100 p-6 rounded-xl shadow-md">
                        <h3 class="text-lg font-semibold mb-3">Reporte de tus metas</h3>
                        <p class="text-gray-600 mb-4">Genera un informe de tus metas por semana</p>
                        <form action="{{ route('reports.metas') }}" method="GET" class="mb-4">
                            <label for="semana" class="font-bold">Selecciona la semana:</label>
                            <input type="number" id="semana" name="semana" min="1" max="52" class="border p-2 rounded" required>
                            <button type="submit" class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded">
                                Generar reporte de la semana
                            </button>
                        </form>
                    </div>
                    <div class="bg-gray-100 p-6 rounded-xl shadow-md">
                        <h3 class="text-lg font-semibold mb-3">Reporte de soportes</h3>
                        <p class="text-gray-600 mb-4">Genera un informe de los soportes por semana</p>
                        <form action="{{ route('reports.supports') }}" method="GET" class="mb-4">
                            <label for="mes" class="font-bold">Selecciona el mes:</label>
                            <input type="number" id="mes" name="mes" min="1" max="52" class="border p-2 rounded" required>
                            <button type="submit" class="bg-green-500 hover:bg-green-700 text-white font-bold py-2 px-4 rounded">
                                Generar reporte del mes
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-app-layout>
