<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Reporte de soportes</title>
    <style>
        body { font-family: Arial, sans-serif; font-size: 12px; }
        h2 { text-align: center; }
        table { width: 100%; border-collapse: collapse; margin-top: 10px; }
        th, td { border: 1px solid black; padding: 8px; text-align: left; }
        th { background-color: #f2f2f2; }
    </style>
</head>
<body>
    <h2>Reporte de soportes</h2>

    @if(isset($mes))
        <p><strong>Mes:</strong> {{ $mes }}</p>
    @endif

    <table>
        <thead>
            <tr>
                <th>#</th>
                <th>Fecha de solicitud</th>
                <th>Tipo</th>
                <th>Empresa</th>
                <th>Cliente</th>
                <th>Caso reportado</th>
                <th>Solución</th>
                <th>Fecha de resolución</th>
                <th>H. Inicio</th>
                <th>H. Fin</th>
                <th>Oportunidad</th>
            </tr>
        </thead>

        <tbody>
            @foreach ($supports as $support)
                <tr>
                    <td>{{ $support -> id }}</td>
                    <td>{{ $support->request_date }}</td>
                    <td>{{ $support->type }}</td>
                    <td>{{ $support->company->name ?? 'N/A' }}</td>
                    <td>{{ $support->client->name ?? 'N/A' }}</td>
                    <td>{{ $support->issue_description }}</td>
                    <td>{{ $support->solution }}</td>
                    <td>{{ $support->resolution_date }}</td>
                    <td>{{ $support->start_time }}</td>
                    <td>{{ $support->end_time }}</td>
                    <td>{{ $support->opportunity }}</td>
                </tr>
            @endforeach
        </tbody>
    </table>
</body>
</html>