<x-app-layout>

    @if (session()->has('success') || session()->has('error') || session()->has('deleted'))
        <div id="messageModal" class="fixed inset-0 flex items-center justify-center z-50">
            <div class="bg-white border border-gray-300 rounded-lg shadow-lg p-6 text-center max-w-sm w-full">
                @if (session()->has('success'))
                    <div class="text-green-700 bg-white border-l-4 border-green-500 p-3 rounded-lg">
                        <strong>Éxito:</strong> {{ session()->get('success') }}
                    </div>
                @endif
                @if (session()->has('error'))
                    <div class="text-red-700 bg-white border-l-4 border-red-500 p-3 rounded-lg">
                        <strong>Error:</strong> {{ session()->get('error') }}
                    </div>
                @endif
                @if (session()->has('deleted'))
                    <div class="text-red-700 bg-white border-l-4 border-red-500 p-3 rounded-lg">
                        <strong>Éxito:</strong> {{ session()->get('deleted') }}
                    </div>
                @endif
            </div>
        </div>
    @endif

    <!-- Modal de confirmación -->
    <div id="deleteCaseModal" class="fixed inset-0 flex items-center justify-center z-50 hidden">
        <div
            class="bg-white border border-gray-300 rounded-lg shadow-lg p-6 text-center max-w-sm w-full dark:text-gray-300 dark:bg-slate-800 dark:border-slate-600">
            <p class="text-lg mb-4">¿Estás seguro de eliminar el caso? <span class="text-sm" id="caseName">
                </span></p>
            <div class="flex justify-around">
                <button id="cancelDeleteCase"
                    class="bg-gray-300 text-gray-700 px-4 py-2 rounded dark:bg-slate-500 dark:text-gray-50 dark:hover:bg-slate-400">Cancelar</button>
                <button id="confirmDeleteCase"
                    class="bg-red-500 text-white px-4 py-2 rounded dark:bg-red-600 dark:text-gray-100 dark:hover:bg-red-500">Eliminar</button>
            </div>
        </div>
    </div>

    <div class="p-4 bg-white dark:bg-slate-800 rounded-lg shadow-md">

        <div class="block md:flex items-center justify-between p-2">
            <!-- Menú hamburguesa en móviles -->
            <div class="md:hidden">
                <button id="menu-toggle" class="bg-naranja text-white px-3 py-2 rounded-lg">
                    <i class="fas fa-bars"></i>
                </button>
                <div id="menu" class="hidden flex flex-col mt-2 space-y-2">
                    <p class="text-xl px-2 text-gray-700 dark:text-gray-300 flex items-center">Casos de
                        <strong class="px-1">{{ $currentMonth }}</strong>
                    </p>
                    <a href="{{ route('companies.index') }}"
                        class=" bg-naranja py-2 hover:bg-orange-400 w-42 rounded-lg px-2 text-white text-center">Empresas</a>
                    <a href="{{ route('clients.index') }}"
                        class=" bg-naranja py-2 hover:bg-orange-400 w-42 rounded-lg px-2 text-white text-center">Clientes</a>
                    <a href="{{ route('supports.indicators') }}"
                        class=" bg-naranja py-2 hover:bg-orange-400 w-42 rounded-lg px-2 text-white text-center">Indicadores</a>
                    <a href="#" class="bg-naranja w-full py-2 rounded-lg text-white text-center">Filtro</a>
                    <form method="GET" class="pb-2" action="{{ route('supports.index') }}">
                        <div class="flex h-6 space-x-2">
                            <select name="month" class="border rounded text-xs leading-tight px-1 h-8 w-32">
                                @foreach (range(1, 12) as $m)
                                    <option value="{{ $m }}" {{ $m == $month ? 'selected' : '' }}>
                                        {{ \Carbon\Carbon::create()->month($m)->format('F') }}
                                    </option>
                                @endforeach
                            </select>

                            <select name="year" class="border rounded text-xs leading-tight px-1 h-8 w-32">
                                @for ($y = now()->year; $y >= now()->year - 5; $y--)
                                    <option value="{{ $y }}" {{ $y == $year ? 'selected' : '' }}>
                                        {{ $y }}
                                    </option>
                                @endfor
                            </select>

                            <button type="submit" class="bg-naranja text-white h-8 px-4 rounded-lg text-sm">
                                Filtrar
                            </button>
                        </div>
                    </form>
                    <a href="{{ route('supports.create') }}"
                        class="bg-naranja w-full py-2 rounded-lg text-white text-center">Nuevo</a>
                </div>
            </div>

            <!-- Categorías visibles en pantallas grandes -->
            <div class="hidden md:flex w-full md:flex-wrap">

                <div class="flex space-x-4 flex-1 md:w-full lg:w-auto">
                    <a href="{{ route('companies.index') }}"
                        class="h-8 bg-naranja hover:bg-orange-400 w-42 rounded-xl px-4 text-white flex items-center">Empresas</a>
                    <a href="{{ route('clients.index') }}"
                        class="h-8 bg-naranja hover:bg-orange-400 w-42 rounded-xl px-4 text-white flex items-center">Clientes</a>
                    <a href="{{ route('supports.indicators') }}"
                        class="h-8 bg-naranja hover:bg-orange-400 w-42 rounded-xl px-4 text-white flex items-center">Indicadores</a>
                </div>

                <div class="flex items-center justify-center flex-1 md:w-full lg:w-auto">
                    <p class="text-xl px-2 text-gray-700 dark:text-gray-300 flex items-center uppercase">Casos de
                        <strong class="px-1">{{ $currentMonth }}</strong>
                    </p>
                </div>

                <div class="flex space-x-4 flex-1 justify-end md:w-full lg:w-auto">
                    <form method="GET" action="{{ route('supports.index') }}">
                        <div class="flex h-6 space-x-2">
                            <select name="month"
                                class="border bg-white border-gray-200 text-gray-700 hover:border-gray-400 focus:border-gray-200 focus:ring-gray-400 
                               dark:bg-slate-800 dark:border-slate-700 dark:text-gray-300 dark:hover:border-slate-500 dark:focus:border-slate-400 dark:focus:ring-slate-400 
                                 rounded text-xs leading-tight px-1 h-8 w-32">
                                @foreach (range(1, 12) as $m)
                                    <option value="{{ $m }}" {{ $m == $month ? 'selected' : '' }}>
                                        {{ \Carbon\Carbon::create()->month($m)->format('F') }}
                                    </option>
                                @endforeach
                            </select>

                            <select name="year"
                                class="border bg-white border-gray-200 text-gray-700 hover:border-gray-400 focus:border-gray-200 focus:ring-gray-400 
                               dark:bg-slate-800 dark:border-slate-700 dark:text-gray-300 dark:hover:border-slate-500 dark:focus:border-slate-400 dark:focus:ring-slate-400 
                                rounded text-xs leading-tight px-1 h-8 w-32">
                                @for ($y = now()->year; $y >= now()->year - 5; $y--)
                                    <option value="{{ $y }}" {{ $y == $year ? 'selected' : '' }}>
                                        {{ $y }}
                                    </option>
                                @endfor
                            </select>

                            <button type="submit" class="bg-naranja text-white h-8 px-4 rounded-lg text-sm">
                                Filtrar
                            </button>
                        </div>
                    </form>

                    <a href="{{ route('supports.create') }}"
                        class="flex bg-naranja w-full h-8 px-4 items-center rounded-lg text-white text-center text-sm">
                        <p>Nuevo</p>
                    </a>
                </div>
            </div>

        </div>



        <div class="relative overflow-x-auto shadow-md rounded-lg mt-4">
            <table class="min-w-full text-left text-sm border-collapse">
                <thead class="bg-gray-200">
                    <tr class="text-gray-700 dark:bg-slate-600 dark:text-gray-300">
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">#</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Fecha de Solicitud
                        </th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Tipo</th>

                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Empresa
                        </th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Cliente
                        </th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                            Caso reportado
                        </th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Solución</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Consultor</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Fecha de
                            Resolución</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Hora inicio
                        </th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Hora fin
                        </th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Oportunidad
                        </th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Acciones</th>
                    </tr>
                </thead>
                <tbody class="bg-white text-gray-500 dark:bg-slate-400">
                    @foreach ($supportCases as $supportCase)
                        <tr class="dark:text-gray-100">
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $supportCase->id }}
                            </td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $supportCase->request_date }}
                            </td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $supportCase->type }}
                            </td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $supportCase->company->name }}
                            </td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $supportCase->client->name }}
                            </td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-justify p-4">
                                {{ $supportCase->issue_description }}
                            </td>

                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-justify p-4">
                                {{ $supportCase->solution }}
                            </td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $supportCase->consultant->name }}
                            </td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $supportCase->resolution_date }}
                            </td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ \Carbon\Carbon::parse($supportCase->start_time)->format('H:i') }}
                            </td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ \Carbon\Carbon::parse($supportCase->end_time)->format('H:i') }}
                            </td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                {{ $supportCase->opportunity }}
                            </td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <a href="{{ route('supports.edit', $supportCase->id) }}"
                                    class="text-green-500 hover:text-green-700 dark:text-green-700 dark:hover:text-green-500">
                                    <i class="fas fa-edit"></i>
                                </a>

                                <form action="{{ route('supports.destroy', $supportCase->id) }}" method="POST"
                                    class="inline-block" id="deleteForm-{{ $supportCase->id }}">
                                    @csrf
                                    @method('DELETE')
                                    <button type="button"
                                        class="text-red-500 hover:text-red-700 dark:text-red-700 dark:hover:text-red-500"
                                        onclick="showDeleteModalCase({{ $supportCase->id }}, '{{ $supportCase->type }}')">
                                        <i class="fas fa-trash-alt"></i>
                                    </button>
                                </form>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</x-app-layout>
