<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('Editar Usuario') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <div class="p-6 text-gray-900">
                    @if ($errors->any())
                    <div class="bg-red-100 border-l-4 border-red-500 text-red-700 p-4 mb-4">
                        <strong>¡Revise los campos!</strong>
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                    @endif

                    <form action="{{ route('users.update', $user->id) }}" method="POST">
                        @csrf
                        @method('PUT')
                        <div class="space-y-4">
                            <div class="mb-4">
                                <label for="name" class="block text-gray-700 font-medium">Nombre</label>
                                <input type="text" name="name" class="w-full border-gray-300 p-2 rounded-md shadow-sm focus:outline-none focus:ring-2 focus:ring-indigo-500" value="{{ old('name', $user->name) }}" required>
                            </div>

                            <div class="mb-4">
                                <label for="email" class="block text-gray-700 font-medium">E-mail</label>
                                <input type="email" name="email" class="w-full border-gray-300 p-2 rounded-md shadow-sm focus:outline-none focus:ring-2 focus:ring-indigo-500" value="{{ old('email', $user->email) }}">
                            </div>

                            <div class="mb-4">
                                <label for="password" class="block text-gray-700 font-medium">Nueva Contraseña (Opcional)</label>
                                <input type="password" name="password" class="w-full border-gray-300 p-2 rounded-md shadow-sm focus:outline-none focus:ring-2 focus:ring-indigo-500">
                            </div>

                            <div class="mb-4">
                                <label for="confirm-password" class="block text-gray-700 font-medium">Confirmar Contraseña</label>
                                <input type="password" name="confirm-password" class="w-full border-gray-300 p-2 rounded-md shadow-sm focus:outline-none focus:ring-2 focus:ring-indigo-500">
                            </div>

                            <div class="mb-4">
                                <label for="roles" class="block text-gray-700 font-medium">Roles</label>
                                <select name="roles[]" class="w-full border-gray-300 p-2 rounded-md shadow-sm focus:outline-none focus:ring-2 focus:ring-indigo-500" multiple>
                                    @foreach($roles as $roleName)
                                        <option value="{{ $roleName }}" 
                                            @if(in_array($roleName, $userRole)) selected @endif>
                                            {{ $roleName }}
                                        </option>
                                    @endforeach
                                </select>
                            </div>

                            <div class="text-center">
                                <button type="submit" class="px-4 py-2 bg-indigo-600 text-white font-bold rounded-md hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-indigo-500">
                                    Guardar Cambios
                                </button>
                            </div>
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>
</x-app-layout>
