<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('Usuarios') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg">
                <div class="p-6 text-gray-900">
                    <a class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded" href="{{ route('users.create') }}">Nuevo</a>

                    <table class="min-w-full table-auto mt-2">
                        <thead class="bg-gray-700 text-white">
                            <tr>
                                <th class="py-2 border border-gray-200 text-center">ID</th>
                                <th class="py-2 border border-gray-200 text-center">Nombre</th>
                                <th class="py-2 border border-gray-200 text-center">E-mail</th>
                                <th class="py-2 border border-gray-200 text-center">Rol</th>
                                <th class="py-2 border border-gray-200 text-center">Acciones</th>
                            </tr>
                        </thead>
                        <tbody class="bg-white text-gray-500">
                            @foreach($usuarios as $usuario)
                                <tr class="hover:bg-gray-100">
                                    <td class="py-2 border border-gray-200 text-center">{{ $usuario->id }}</td>
                                    <td class="py-2 border border-gray-200 text-center">{{ $usuario->name }}</td>
                                    <td class="py-2 border border-gray-200 text-center">{{ $usuario->email }}</td>
                                    <td class="py-2 border border-gray-200 text-center">
                                        @if(!empty($usuario->getRoleNames()))
                                            @foreach ($usuario->getRoleNames() as $rolName)
                                                <span class="badge badge-dark">{{ $rolName }}</span>
                                            @endforeach
                                        @endif
                                    </td>
                                    <td class="py-2 border border-gray-200 text-center">
                                        <a class="text-blue-500 hover:text-blue-700" href="{{ route('users.edit', $usuario->id) }}">Editar</a>
                                        <form action="{{ route('users.destroy', $usuario->id) }}" method="POST" class="inline-block">
                                            @csrf
                                            @method('DELETE')
                                            <button type="submit" class="text-red-500 hover:text-red-700 ml-2" onclick="return confirm('¿Estás seguro de eliminar este usuario?')">
                                                Borrar
                                            </button>
                                        </form>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                    <div class="pagination justify-content-end mt-4">
                        {{ $usuarios->links() }}
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-app-layout>
