<?php if (isset($component)) { $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54 = $attributes; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\AppLayout::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <div class="bg-gray-100 dark:bg-slate-800 p-6 rounded-lg shadow-lg">

        <div class="flex justify-between items-center mb-4">
            <a href="<?php echo e(route('goals.index')); ?>" class="text-xl text-gray-600">
                <i class="fas fa-arrow-left dark:text-gray-300"></i>
            </a>
            <h2 class="text-2xl text-center font-semibold text-gray-800 dark:text-gray-300">
                Semana <?php echo e($currentWeekNumber); ?>

            </h2>
        </div>

        <h3 class="uppercase text-gray-800 dark:text-gray-300  text-2xl font-semibold mb-4 text-center">Progreso de la
            meta</h3>

        <!-- Barra de progreso general -->
        <div class="flex items-center mb-2">
            <div
                class="w-6 h-6 bg-white text-gray-800 font-semibold rounded-full text-xs text-center flex items-center justify-center">
                <?php echo e($completedGoals); ?>

            </div>
            <div class="flex-1 bg-gray-300 h-4 mx-2 rounded-lg">
                <div class="bg-naranja h-4 rounded-lg" style="width: <?php echo e($progress); ?>%;"></div>
            </div>
            <div
                class="w-6 h-6 bg-white text-gray-800 font-semibold text-xs flex items-center justify-center rounded-full">
                <?php echo e($totalGoals); ?>

            </div>
        </div>
        <!-- Porcentaje debajo de la barra de progreso -->
        <div class="pb-4 text-center text-xl font-semibold text-gray-600 dark:text-gray-300 ">
            <?php echo e(number_format($progress, 2)); ?>%
        </div>


        <div class="overflow-x-auto">
            <table class="w-full bg-white shadow-md rounded-lg table-auto">
                <thead class="bg-gray-200">
                    <tr class="text-gray-700 dark:bg-slate-600 dark:text-gray-300">
                        <th class="p-3 text-left">Metas</th>
                        <th class="p-3 text-left">Descripción</th>
                        <th class="p-3 text-left">Total</th>
                        <th class="p-3 text-left">Completadas</th>
                        <th class="p-3 text-left">Progreso</th>
                    </tr>
                </thead>
                <tbody class="dark:bg-slate-400 dark:border-slate-400">
                    <?php $__currentLoopData = $weeklyGoals; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $goal): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            // Progreso de cada meta individualmente
                            $goalProgress =
                                $goal->total_goals > 0 ? ($goal->completed_goals / $goal->total_goals) * 100 : 0;
                        ?>
                        <tr class="border-b dark:text-gray-100 ">
                            <td class="p-3"><?php echo e($goal->title); ?></td>
                            <td class="p-3"><?php echo e($goal->description); ?></td>
                            <td class="p-3"><?php echo e($goal->total_goals); ?></td>
                            <td class="p-3 text-center">
                                <div class="flex items-center justify-start">
                                    <button class="bg-naranja text-white px-1 rounded-full"
                                        onclick="updateGoal(<?php echo e($goal->id); ?>, -1)">
                                        <i class="fas fa-minus"></i>
                                    </button>
                                    <span class="px-4"><?php echo e($goal->completed_goals); ?></span>
                                    <button class="bg-naranja text-white px-1 rounded-full"
                                        onclick="updateGoal(<?php echo e($goal->id); ?>, 1)">
                                        <i class="fas fa-plus"></i>
                                    </button>
                                </div>
                            </td>

                            <td class="p-3">
                                <div class="flex justify-between text-sm">
                                    <span class="text-gray-600 dark:text-gray-100">Progreso total:</span>
                                    <span class="font-semibold"><?php echo e($goal->completed_goals); ?> /
                                        <?php echo e($goal->total_goals); ?></span>
                                </div>

                                <div class="w-full bg-gray-200 h-4 rounded-lg mt-2">
                                    <div class="bg-naranja h-4 rounded-lg" style="width: <?php echo e($goalProgress); ?>%;">
                                    </div>
                                </div>
                                <!-- progreso de cada meta -->
                                <div class="text-center text-sm text-gray-600 dark:text-gray-100">
                                    <?php echo e(number_format($goalProgress, 2)); ?>%
                                </div>
                            </td>

                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    </div>

    <script>
        function updateGoal(goalId, change) {
            fetch(`/goals/update-progress/${goalId}`, {
                    method: "POST",
                    headers: {
                        "Content-Type": "application/json",
                        "X-CSRF-TOKEN": "<?php echo e(csrf_token()); ?>"
                    },
                    body: JSON.stringify({
                        change: change
                    })
                })
                .then(response => response.json())
                .then(data => {
                    location.reload(); // Recarga para actualizar el progreso
                });
        }
    </script>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $attributes = $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $component = $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php /**PATH C:\xampp\htdocs\teknologix\resources\views/goals/progress.blade.php ENDPATH**/ ?>