<?php if (isset($component)) { $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54 = $attributes; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\AppLayout::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
     <?php $__env->slot('header', null, []); ?> 
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            <?php echo e(__('Gráfica de casos por tipo de soporte')); ?>

        </h2>
     <?php $__env->endSlot(); ?>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white overflow-hidden shadow-sm sm:rounded-lg p-6">
                <h2 class="text-lg font-bold mb-4 text-center text-gray-700">Gráfica de casos por tipo de soporte</h2>

                <form id="filterForm" action="<?php echo e(route('graphs.graph-supports')); ?>" method="GET" class="mb-6 flex flex-col md:flex-row items-center gap-4">
                    <div class="flex-1 flex items-center">
                        <label for="month" class="block text-sm font-medium text-gray-700 mr-2">Seleccionar mes:</label>
                        <input type="month" id="month" name="month" class="border p-2 rounded w-full shadow-sm focus:ring focus:ring-blue-300" value="<?php echo e(request('month')); ?>">
                    </div>

                    <button type="submit" class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded shadow md:w-auto w-full">
                        Filtrar
                    </button>
                </form>

                <div class="w-full bg-gray-50 p-4 rounded-lg shadow md:w-1/2">
                    <h3 class="text-center font-semibold text-gray-700 mb-3">Gráfica de <?php echo e($month->format('F')); ?> por tipo de soporte</h3>
                    <canvas id="casesChart"></canvas>
                </div>
            </div>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script>
        document.addEventListener("DOMContentLoaded", function () {
            const ctx = document.getElementById('casesChart').getContext('2d');
            
            const types = <?php echo json_encode(array_keys($casesByTypeArray), 15, 512) ?>;
            const caseCounts = <?php echo json_encode(array_values($casesByTypeArray), 15, 512) ?>;

            function generateRandomColor() {
                const letters = '0123456789ABCDEF';
                let color = '#';
                for (let i = 0; i < 6; i++) {
                    color += letters[Math.floor(Math.random() * 16)];
                }
                return color;
            }

            const backgroundColors = caseCounts.map(() => generateRandomColor());
            
            let casesChart = new Chart(ctx, {
                type: 'bar',
                data: {
                    labels: types,
                    datasets: [{
                        label: 'Casos por tipo de soporte',
                        data: caseCounts,
                        backgroundColor: backgroundColors,
                        borderColor: '#388E3C',
                        borderWidth: 1
                    }]
                },
                options: {
                    responsive: true,
                    scales: {
                        y: {
                            beginAtZero: true
                        }
                    }
                }
            });
        });
    </script>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $attributes = $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $component = $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?><?php /**PATH C:\xampp\htdocs\teknologix\resources\views/graphs/graph_supports.blade.php ENDPATH**/ ?>