<?php if (isset($component)) { $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54 = $attributes; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\AppLayout::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <div class="fixed inset-0 flex justify-center items-center bg-gray-800 bg-opacity-50">
        <div class="bg-white dark:bg-slate-800 p-6 rounded-lg w-full md:w-2/3 lg:w-1/2">
            <div class="flex justify-between items-center mb-4">
                <button onclick="closeForm()" class="text-xl text-gray-600 dark:text-gray-300">
                    <i class="fas fa-times"></i>
                </button>
            </div>
            <div class="pb-4">
                <h2 class="text-2xl text-center font-semibold text-gray-800 dark:text-gray-300">
                    <?php if(isset($supportCase)): ?>
                        Editar Caso
                    <?php else: ?>
                        Nuevo Caso
                    <?php endif; ?>
                </h2>
            </div>
            <form id="caseForm"
                action="<?php echo e(isset($supportCase) ? route('supports.update', $supportCase->id) : route('supports.store')); ?>"
                method="POST">
                <?php echo csrf_field(); ?>

                <?php if(isset($supportCase)): ?>
                    <?php echo method_field('PUT'); ?>
                <?php endif; ?>

                <div class="grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-3 gap-4">

                    <div class="space-y-4">
                        <label for="request_date"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Fecha de
                            solicitud</label>
                        <input type="date" name="request_date" id="request_date"
                            value="<?php echo e(old('request_date', $supportCase->request_date ?? '')); ?>" required
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm
                            text-gray-600 focus:border-slate-400 focus:ring-slate-400
                            dark:text-gray-700">
                        <span id="requestDateError" class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                        <?php if($errors->has('request_date')): ?>
                            <span
                                class="hidden text-xs text-red-600 dark:text-red-300 italic"><?php echo e($errors->first('request_date')); ?></span>
                        <?php endif; ?>

                        <label for="company_id"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Empresa</label>
                        <select name="company_id" id="company_id"
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm
                            text-gray-600 focus:border-slate-400 focus:ring-slate-400
                            dark:text-gray-700"
                            required>
                            <option value="">Seleccionar empresa</option>
                            <?php $__currentLoopData = $companies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $company): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($company->id); ?>"
                                    <?php echo e(old('company_id', $supportCase->company_id ?? '') == $company->id ? 'selected' : ''); ?>>
                                    <?php echo e($company->name); ?>

                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>

                        <label for="solution"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Solución</label>
                        <textarea name="solution" id="solution" rows="1"
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm
                            text-gray-600 focus:border-slate-400 focus:ring-slate-400
                            dark:text-gray-700"><?php echo e(old('solution', $supportCase->solution ?? '')); ?></textarea>
                        <span id="solutionError" class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                        <?php if($errors->has('solution')): ?>
                            <span
                                class="hidden text-xs text-red-600 dark:text-red-300 italic"><?php echo e($errors->first('solution')); ?></span>
                        <?php endif; ?>

                    </div>

                    <div class="space-y-4">
                        <label for="type"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Tipo</label>
                        <input type="text" name="type" id="type"
                            value="<?php echo e(old('type', $supportCase->type ?? '')); ?>" required list="type-options"
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm
                            text-gray-600 focus:border-slate-400 focus:ring-slate-400
                            dark:text-gray-700">
                        <span id="typeError" class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                        <?php if($errors->has('type')): ?>
                            <span
                                class="hidden text-xs text-red-600 dark:text-red-300 italic"><?php echo e($errors->first('type')); ?></span>
                        <?php endif; ?>

                        <datalist id="type-options">
                            <option value="Implemetación"></option>
                            <option value="Capacitación"></option>
                            <option value="Actualización"></option>
                            <option value="Garantía"></option>
                            <option value="Consultoría"></option>
                            <option value="Servicio"></option>
                            <option value="Soporte"></option>
                        </datalist>

                        <label for="client_id"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Cliente</label>
                        <select name="client_id" id="client_id" required
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm
                            text-gray-600 focus:border-slate-400 focus:ring-slate-400
                            dark:text-gray-700">
                            <option value="" disabled selected>Seleccione un cliente</option>
                            <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($client->id); ?>"
                                    <?php echo e(old('client_id', $supportCase->client_id ?? '') == $client->id ? 'selected' : ''); ?>>
                                    <?php echo e($client->name); ?>

                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>

                        <label for="resolution_date"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Fecha
                            de
                            resolución</label>
                        <input type="date" name="resolution_date" id="resolution_date"
                            value="<?php echo e(old('resolution_date', $supportCase->resolution_date ?? '')); ?>"
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm
                            text-gray-600 focus:border-slate-400 focus:ring-slate-400
                            dark:text-gray-700">
                        <span id="resolutionDateError"
                            class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                        <?php if($errors->has('resolution_date')): ?>
                            <span
                                class="hidden text-xs text-red-600 dark:text-red-300 italic"><?php echo e($errors->first('resolution_date')); ?></span>
                        <?php endif; ?>
                    </div>

                    <div class="space-y-4">
                        <label for="consultant_id"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Consultor</label>
                        <select name="consultant_id" id="consultant_id"
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm
                            text-gray-600 focus:border-slate-400 focus:ring-slate-400
                            dark:text-gray-700"
                            required>
                            <option value="<?php echo e(auth()->user()->id); ?>" selected>
                                <?php echo e(auth()->user()->name); ?> (Tú)
                            </option>
                            <?php $__currentLoopData = $consultants; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $consultant): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($consultant->id !== auth()->user()->id): ?>
                                    <option value="<?php echo e($consultant->id); ?>"
                                        <?php echo e(old('consultant_id', $supportCase->consultant_id ?? '') == $consultant->id ? 'selected' : ''); ?>>
                                        <?php echo e($consultant->name); ?>

                                    </option>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>

                        <label for="issue_description"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Caso reportado</label>
                        <textarea name="issue_description" id="issue_description" rows="1"
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm
                            text-gray-600 focus:border-slate-400 focus:ring-slate-400
                            dark:text-gray-700"><?php echo e(old('issue_description', $supportCase->issue_description ?? '')); ?></textarea>
                        <span id="issueDescriptionError"
                            class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                        <?php if($errors->has('issue_description')): ?>
                            <span
                                class="hidden text-xs text-red-600 dark:text-red-300 italic"><?php echo e($errors->first('issue_description')); ?></span>
                        <?php endif; ?>

                        <label for="start_time" class="block text-sm font-medium text-gray-700 dark:text-gray-300">Hora
                            inicio</label>
                        <input type="time" name="start_time" id="start_time"
                            value="<?php echo e(old('start_time', $supportCase->start_time ?? '')); ?>"
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm
                            text-gray-600 focus:border-slate-400 focus:ring-slate-400
                            dark:text-gray-700">
                        <span id="startTimeError" class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                        <?php if($errors->has('start_time')): ?>
                            <span
                                class="hidden text-xs text-red-600 dark:text-red-300 italic"><?php echo e($errors->first('start_time')); ?></span>
                        <?php endif; ?>

                        <label for="end_time" class="block text-sm font-medium text-gray-700 dark:text-gray-300">Hora
                            fin</label>
                        <input type="time" name="end_time" id="end_time"
                            value="<?php echo e(old('end_time', $supportCase->end_time ?? '')); ?>"
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm
                            text-gray-600 focus:border-slate-400 focus:ring-slate-400
                            dark:text-gray-700">
                        <span id="endTimeError" class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                        <?php if($errors->has('end_time')): ?>
                            <span
                                class="hidden text-xs text-red-600 dark:text-red-300 italic"><?php echo e($errors->first('end_time')); ?></span>
                        <?php endif; ?>
                    </div>
                </div>

                <div class="space-y-4 pt-2">
                    <label for="opportunity"
                        class="block text-sm font-medium text-gray-700 dark:text-gray-300">Oportunidad</label>
                    <textarea name="opportunity" id="opportunity" rows="2"
                        class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm
                            text-gray-600 focus:border-slate-400 focus:ring-slate-400
                            dark:text-gray-700"><?php echo e(old('opportunity', $supportCase->opportunity ?? '')); ?></textarea>
                    <span id="opportunityError" class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                    <?php if($errors->has('opportunity')): ?>
                        <span
                            class="hidden text-xs text-red-600 dark:text-red-300 italic"><?php echo e($errors->first('opportunity')); ?></span>
                    <?php endif; ?>
                </div>

                <div class="flex justify-end mt-6">
                    <button type="submit"
                        class="bg-naranja text-white py-2 px-6 rounded-md hover:bg-naranja-dark focus:outline-none focus:ring-2 focus:ring-naranja focus:ring-opacity-50">
                        Guardar
                    </button>
                </div>
            </form>
        </div>
    </div>
    <script>
        function closeForm() {
            window.history.back();
        }
    </script>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $attributes = $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $component = $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php /**PATH C:\xampp\htdocs\teknologix\resources\views/supports/create.blade.php ENDPATH**/ ?>