<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title><?php echo e(config('app.name', 'Teknologix')); ?></title>

    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@400;500;700&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css">

    <?php echo app('Illuminate\Foundation\Vite')(['resources/css/app.css', 'resources/js/app.js']); ?>
</head>


<body x-data="{ expanded: false }" class="font-sans antialiased">
    <div class="flex min-h-screen bg-gray-100 dark:bg-gray-900">
        <?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


        <div :class="expanded ? 'ml-40' : 'ml-16'" class="flex-1 transition-all duration-300 overflow-y-auto">
            <?php echo $__env->make('layouts.navigation', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>


            <?php if(isset($header)): ?>
                <header class="bg-white shadow dark:bg-gray-800">
                    <div class="px-4 py-6 mx-auto max-w-7xl sm:px-6 lg:px-8">
                        <?php echo e($header); ?>

                    </div>
                </header>
            <?php endif; ?>

            <main class="p-2">
                <?php echo e($slot); ?>

            </main>
        </div>
    </div>

    
    <script src="<?php echo e(asset('js/validation_goals.js')); ?>"></script>
    <script src="<?php echo e(asset('js/validation_tasks.js')); ?>"></script>
    <script src="<?php echo e(asset('js/validation_cases.js')); ?>"></script>
    <script src="<?php echo e(asset('js/validation_companies.js')); ?>"></script>
    <script src="<?php echo e(asset('js/validation_clients.js')); ?>"></script>

    
    <script src="<?php echo e(asset('js/modal_confirmation_goal.js')); ?>"></script>
    <script src="<?php echo e(asset('js/modal_confirmation_task.js')); ?>"></script>
    <script src="<?php echo e(asset('js/modal_confirmation_case.js')); ?>"></script>
    <script src="<?php echo e(asset('js/modal_confirmation_client.js')); ?>"></script>
    <script src="<?php echo e(asset('js/modal_confirmation_companie.js')); ?>"></script>

    
    <script src="<?php echo e(asset('js/messages_modals.js')); ?>"></script>
    
    <script src="<?php echo e(asset('js/menu_md.js')); ?>"></script>

</body>


</html>
<?php /**PATH C:\xampp\htdocs\teknologix\resources\views/layouts/app.blade.php ENDPATH**/ ?>