<?php if (isset($component)) { $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54 = $attributes; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\AppLayout::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
    <div class="fixed inset-0 flex justify-center items-center bg-gray-800 bg-opacity-50">
        <div class="bg-white dark:bg-slate-800 p-6 rounded-lg w-full md:w-2/3 lg:w-1/2">

            <div class="flex justify-between items-center mb-4">
                <button onclick="closeForm()" class="text-xl text-gray-600 dark:text-gray-300">
                    <i class="fas fa-times"></i>
                </button>
            </div>

            <div class="pb-4">
                <h2 class="text-2xl text-center font-semibold text-gray-800 dark:text-gray-300">
                    <?php if(isset($task)): ?>
                        Editar Tarea
                    <?php else: ?>
                        Nueva Tarea
                    <?php endif; ?>
                </h2>
            </div>

            <form id="taskForm" action="<?php echo e(isset($task) ? route('tasks.update', $task->id) : route('tasks.store')); ?>"
                method="POST">
                <?php echo csrf_field(); ?>
                <?php if(isset($task)): ?>
                    <?php echo method_field('PUT'); ?>
                <?php endif; ?>

                <div class="grid grid-cols-1 md:grid-cols-2 gap-4">
                    <div class="space-y-4">

                        <label for="activity"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Tarea</label>
                        <input type="text" name="activity" id="activity"
                            value="<?php echo e(old('activity', $task->activity ?? '')); ?>" required
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm text-gray-600 dark:text-gray-700
                            focus:border-slate-400 focus:ring-slate-400">
                        <span id="activityError" class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                        <?php if($errors->has('activity')): ?>
                            <span
                                class="hidden text-xs text-red-600 dark:text-red-300 italic"><?php echo e($errors->first('activity')); ?></span>
                        <?php endif; ?>

                        <label for="activity_date"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Fecha de la tarea</label>
                        <input type="date" name="activity_date" id="activity_date"
                            value="<?php echo e(old('activity_date', $task->activity_date ?? '')); ?>" required
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm text-gray-600 dark:text-gray-700
                            focus:border-slate-400 focus:ring-slate-400">
                        <span id="activityDateError"
                            class="hidden text-xs text-red-600 dark:text-red-300 italic"></span>
                        <?php if($errors->has('activity_date')): ?>
                            <span
                                class="hidden text-xs text-red-600 dark:text-red-300 italic"><?php echo e($errors->first('activity_date')); ?></span>
                        <?php endif; ?>
                    </div>

                    <div class="space-y-4">

                        <label for="assigned_to"
                            class="block text-sm font-medium text-gray-700 dark:text-gray-300">Asignar a</label>
                        <select name="assigned_to" id="assigned_to" required
                            class="mt-1 p-2 w-full border border-gray-300 rounded-md shadow-sm text-gray-600 dark:text-gray-700
                            focus:border-slate-400 focus:ring-slate-400">
                            <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($user->id); ?>"
                                    <?php echo e(old('assigned_to', $task->assigned_to ?? '') == $user->id ? 'selected' : ''); ?>>
                                    <?php echo e($user->name); ?>

                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>

                <div class="flex justify-end mt-6">
                    <button type="submit"
                        class="bg-naranja text-white py-2 px-6 rounded-md hover:bg-naranja-dark focus:outline-none focus:ring-2 focus:ring-naranja focus:ring-opacity-50">
                        Guardar
                    </button>
                </div>
            </form>
        </div>
    </div>

    <script>
        function closeForm() {
            window.history.back();
        }
    </script>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $attributes = $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $component = $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php /**PATH C:\xampp\htdocs\teknologix\resources\views/tasks/create.blade.php ENDPATH**/ ?>