<?php if (isset($component)) { $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54 = $attributes; } ?>
<?php $component = App\View\Components\AppLayout::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\AppLayout::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>

    <?php if(session()->has('success') || session()->has('error') || session()->has('deleted')): ?>
        <div id="messageModal" class="fixed inset-0 flex items-center justify-center z-50">
            <div class="bg-white border border-gray-300 rounded-lg shadow-lg p-6 text-center max-w-sm w-full">
                <?php if(session()->has('success')): ?>
                    <div class="text-green-700 bg-white border-l-4 border-green-500 p-3 rounded-lg">
                        <strong>Éxito:</strong> <?php echo e(session()->get('success')); ?>

                    </div>
                <?php endif; ?>
                <?php if(session()->has('error')): ?>
                    <div class="text-red-700 bg-white border-l-4 border-red-500 p-3 rounded-lg">
                        <strong>Error:</strong> <?php echo e(session()->get('error')); ?>

                    </div>
                <?php endif; ?>
                <?php if(session()->has('deleted')): ?>
                    <div class="text-red-700 bg-white border-l-4 border-red-500 p-3 rounded-lg">
                        <strong>Éxito:</strong> <?php echo e(session()->get('deleted')); ?>

                    </div>
                <?php endif; ?>
            </div>
        </div>
    <?php endif; ?>

    <!-- Modal de confirmación -->
    <div id="deleteTaskModal" class="fixed inset-0 flex items-center justify-center z-50 hidden">
        <div
            class="bg-white border border-gray-300 rounded-lg shadow-lg p-6 text-center max-w-sm w-full dark:text-gray-300 dark:bg-slate-800 dark:border-slate-600">
            <p class="text-lg mb-4">¿Estás seguro de eliminar la tarea? <br>
                <span class="text-sm" id="taskName"> </span>
            </p>
            <div class="flex justify-around">
                <button id="cancelDeleteTask"
                    class="bg-gray-300 text-gray-700 px-4 py-2 rounded dark:bg-slate-500 dark:text-gray-50 dark:hover:bg-slate-400">Cancelar</button>
                <button id="confirmDeleteTask"
                    class="bg-red-500 text-white px-4 py-2 rounded dark:bg-red-600 dark:text-gray-100 dark:hover:bg-red-500">Eliminar</button>
            </div>
        </div>
    </div>

    <div class="p-4 bg-white dark:bg-slate-800 rounded-lg shadow-md">

        <!-- Menú de categorías -->
        <div class="block md:flex items-center justify-between p-2">
            <!-- Menú hamburguesa en móviles -->
            <div class="md:hidden">
                <button id="menu-toggle" class="bg-naranja text-white px-3 py-2 rounded-lg">
                    <i class="fas fa-bars"></i>
                </button>
                <div id="menu" class="hidden flex flex-col mt-2 space-y-2">
                    <p class="text-xl px-2 text-gray-700 dark:text-gray-300 flex items-center">Tareas de la semana
                        <strong class="px-1"><?php echo e($currentWeekNumber); ?> </strong>
                    </p>

                    <a href="<?php echo e(route('tasks.create')); ?>"
                        class="bg-naranja w-full py-2 rounded-lg text-white text-center">Nueva</a>
                </div>
            </div>

            <!-- Categorías visibles en pantallas grandes -->
            <div class="hidden md:flex space-x-4">
                <p class="text-xl px-2 text-gray-700 dark:text-gray-300 flex items-center">Tareas de la semana
                    <strong class="px-1"><?php echo e($currentWeekNumber); ?> </strong>
                </p>
            </div>

            <a href="<?php echo e(route('tasks.create')); ?>"
                class="hidden md:block h-6 bg-naranja hover:bg-orange-400 w-20 rounded-xl text-center text-white ml-auto">
                Nueva
            </a>
        </div>

        <div class="relative overflow-x-auto shadow-md rounded-lg mt-4">
            <table class="min-w-full text-left border-collapse">
                <thead class="bg-gray-200">

                    <tr class="text-gray-700 dark:bg-slate-600 dark:text-gray-300">
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">#</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Tarea</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Responsable</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Fecha de la tarea
                        </th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Creado</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Actualizado</th>
                        <th class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">Acción</th>
                    </tr>
                </thead>
                <tbody class="bg-white text-gray-500 dark:bg-slate-400">
                    <?php $__currentLoopData = $tasks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $task): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr class="dark:text-gray-100">
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e($task->id); ?></td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e($task->activity); ?></td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e($task->assignedUser->name); ?></td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e($task->activity_date); ?>

                            </td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e($task->created_at->format('d/m/Y H:i')); ?></td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <?php echo e($task->updated_at->format('d/m/Y H:i')); ?></td>
                            <td class="py-1 border border-gray-200 dark:border-slate-600 text-center p-4">
                                <a href="<?php echo e(route('tasks.edit', $task->id)); ?>"
                                    class="text-green-500 hover:text-green-700 dark:text-green-700 dark:hover:text-green-500">
                                    <i class="fas fa-edit"></i>
                                </a>

                                <form action="<?php echo e(route('tasks.destroy', $task->id)); ?>" method="POST"
                                    class="inline-block" id="deleteForm-<?php echo e($task->id); ?>">
                                    <?php echo csrf_field(); ?>
                                    <?php echo method_field('DELETE'); ?>
                                    <button type="button"
                                        class="text-red-500 hover:text-red-700 dark:text-red-700 dark:hover:text-red-500"
                                        onclick="showDeleteModalTask(<?php echo e($task->id); ?>, '<?php echo e($task->activity); ?>')">
                                        <i class="fas fa-trash-alt"></i>
                                    </button>
                                </form>

                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
        <div class="mt-4">
            <?php echo e($tasks->links()); ?>

        </div>
    </div>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $attributes = $__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__attributesOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54)): ?>
<?php $component = $__componentOriginal9ac128a9029c0e4701924bd2d73d7f54; ?>
<?php unset($__componentOriginal9ac128a9029c0e4701924bd2d73d7f54); ?>
<?php endif; ?>
<?php /**PATH C:\xampp\htdocs\teknologix\resources\views/tasks/index.blade.php ENDPATH**/ ?>